import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  save(data?: TspPhotoTypes.TspPhotoSaveParam) {
    return post<null>('/tsp_photo/save', data)
  },
  listPhoto(data?: TspPhotoTypes.TspPhotoSearchParam) {
    return get<TspPhotoTypes.TspPhotoSearchResult>('/tsp_photo/list_photo', data)
  },
  obtainStatus(data?: TspPhotoTypes.TspPhotoSearchParam) {
    return get<TspPhotoTypes.ObtainStatusResult>('/tsp_photo/obtain_status', data)
  },

}
